#include <vector>
#include <iostream>
using namespace std;
int main()
{
    vector<int> x,y;
    int n,k,i,h,b=0,z;
    cin>>n>>k;
    h=n*2+1;
    for(i=0;i<h;i++)
    {
        x.push_back(0);
    }
    for(i=0;i<n;i++)
    {
        cin>>h;
        h=h+n;
        x[h]=x[h]+1;
        if(x[h]==k)
        {
            b++;
            y.push_back(h-n);
        }
    }
    cout<<b;
    z=y.size();
    for(i=0;i<z;i++)
        cout<<y[i];
    return 0;
}